PartitionMemberInfo (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.partition, interface: PartitionMemberInfo

Package org.apache.geode.cache.partition

# Interface PartitionMemberInfo

public interface PartitionMemberInfo
Describes a member that has been configured to provide storage space for a partitioned region.

This is an immutable snapshot of the details.

Since:
  GemFire 6.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBucketCount()`
  Returns the number of buckets hosted within the member's partition space for the partitioned region.
  `long`
  `getConfiguredMaxMemory()`
  Returns the `max memory` in bytes that the member was configured to provide for storage of data for the partitioned region.
  `DistributedMember`
  `getDistributedMember()`
  Identifies the member for which these details pertain to.
  `int`
  `getPrimaryCount()`
  The number of hosted buckets for which the member is hosting the primary copy.
  `long`
  `getSize()`
  The total size in bytes of memory being used by the member for storage of actual data in the partitioned region.

- ## Method Details

  - ### getDistributedMember

    DistributedMember getDistributedMember()
    Identifies the member for which these details pertain to.
    Returns:
      the member for which these details pertain to

  - ### getConfiguredMaxMemory

    long getConfiguredMaxMemory()
    Returns the `max memory` in bytes that the member was configured to provide for storage of data for the partitioned region.
    Returns:
      the max memory in bytes that the member was configured to provide for storage

  - ### getSize

    long getSize()
    The total size in bytes of memory being used by the member for storage of actual data in the partitioned region.
    Returns:
      size in bytes of memory being used by the member for storage

  - ### getBucketCount

    int getBucketCount()
    Returns the number of buckets hosted within the member's partition space for the partitioned region.
    Returns:
      the number of buckets hosted within the member

  - ### getPrimaryCount

    int getPrimaryCount()
    The number of hosted buckets for which the member is hosting the primary copy. Other copies are known as redundant backup copies.
    Returns:
      the number of hosted buckets for which the member is hosting the primary copy